﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Sugar.Enties
{
    /// <summary>
    /// 供应商dto
    /// </summary>
    public class SupplierDTO
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string SupplierCode { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string SupplierName { get; set; }
        /// <summary>
        /// 法人代表
        /// </summary>
        public string ArtificialPerson { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        public string ContractPerson { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        public string OfficePhone { get; set; }
        /// <summary>
        /// 纳税人识别号
        /// </summary>
        public string TaxpayerId { get; set; }
        /// <summary>
        /// 注册资金
        /// </summary>

        public string RegisteredCapital { get; set; }
        /// <summary>
        /// 注册地址
        /// </summary>
        public string RegisteredAddress { get; set; }
        /// <summary>
        /// 手机
        /// </summary>
        public string Mobile { get; set; }
    }
    /// <summary>
    /// 招标
    /// </summary>
    public class BiddingDTO
    {
        /// <summary>
        /// 地产云招标编号
        /// </summary>
        //public string BiddingCode { get; set; }
        /// <summary>
        /// oa系统招标编号
        /// </summary>
        public string BiddingId { get; set; }
        /// <summary>
        /// 拟定标段
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 招标内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 所属项目代码
        /// </summary>
        public string ProjectCode { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        public List<BiddingDtlDTO> BiddingDtlDTO { get; set; }

        public List<zhongbiao> zhongbiao { get; set; }
    }
    /// <summary>
    /// 分标段信息
    /// </summary>
    public class BiddingDtlDTO
    {
        /// <summary>
        /// 分标段名称
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 标段金额（数字类型，两位小数）
        /// </summary>
        public decimal Money { get; set; }
    }
    /// <summary>
    /// 中标列表
    /// </summary>
    public class zhongbiao
    {
        /// <summary>
        /// 供应商编码,
        /// </summary>
        public string SupplierCode { get; set; }
        /// <summary>
        /// 中标金额
        /// </summary>
        public decimal Money { get; set; }
        /// <summary>
        /// 分标段名称
        /// </summary>
        public string Title { get; set; }
    
    }
    /// <summary>
    /// 投标列表
    /// </summary>
    public class BiddingInfo
    {
        public string SupplierCode { get; set; }
        public string ReturnDate { get; set; }
        public decimal DepositMoney { get; set; }
    }
}
