﻿using System;
using System.Collections.Generic;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    /// <summary>
    /// 供应商扩展信息表，用于工程云供应商上传需要签证的信息和附件
    /// </summary>
    public class zzSupplierEx
    {
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int ID { get; set; }

        /// <summary>
        /// Desc:供应商编码
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string SupplierCode { get; set; }

        /// <summary>
        /// Desc:签证申请原因
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string Title { get; set; }

        /// <summary>
        /// 原因
        /// </summary>
        public string Reason { get; set; }

        /// <summary>
        /// 项目编码
        /// </summary>
        public string ProjectCode { get; set; }

        /// <summary>
        /// 状态  0：待审  1：审核中  2：通过 3：作废 4：退回
        /// </summary>
        public int State { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        public string CheckPerson { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        [SugarColumn(IsOnlyIgnoreInsert = true)]
        public DateTime? CheckDate { get; set; }

        /// <summary>
        /// Desc:创建日期
        /// Default:
        /// Nullable:False
        /// </summary>           
        [SugarColumn(IsOnlyIgnoreInsert = true,IsOnlyIgnoreUpdate =true)]
        public DateTime CreateDate { get; set; }
    }

    public class zzSupplierExDTO
    {

        public int ID { get; set; }
        /// <summary>
        /// Desc:供应商编码
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string SupplierCode { get; set; }

        /// <summary>
        /// Desc:签证申请原因
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string Title { get; set; }

        /// <summary>
        /// 原因
        /// </summary>
        public string Reason { get; set; }

        /// <summary>
        /// 项目编码
        /// </summary>
        public string ProjectCode { get; set; }
        public string ProjectName { get; set; }

        public int State { get; set; }
        public string StateName
        {
            get
            {
                var type = typeof(CheckState);
                return type.GetEnumName(State);
            }
        }

        /// <summary>
        /// 审核人
        /// </summary>
        public string CheckPerson { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? CheckDate { get; set; }
        public string CheckDateStr 
        { 
            get
            {
                if(CheckDate!=null)
                {
                    return CheckDate.Value.ToString("yyyy-MM-dd");
                }
                else
                {
                    return "";
                }
            } 
        }

        /// <summary>
        /// Desc:创建日期
        /// Default:
        /// Nullable:False
        /// </summary>           
        public DateTime CreateDate { get; set; }
        public string CreateDateStr
        {
            get
            {

                return CreateDate.ToString("yyyy-MM-dd");

            }
        }
    }
}
