﻿using Microsoft.AspNetCore.Mvc;
using WebAPIBase.Utils;
using WebAPIBase.Utils.Jwt;

namespace WebAPIBase.API.Controllers
{
    [Produces("application/json")]
    [Route("api/Token")]
    public class TokenController : Controller
    {
        /// <summary>
        /// 令牌获取和验证类
        /// </summary>
        private readonly ITokenHelper tokenHelper = null;
        public TokenController(ITokenHelper _tokenHelper)
        {
            tokenHelper = _tokenHelper;
        }
        /// <summary>
        /// 验证Token
        /// </summary>
        /// <param name="tokenStr">token</param>
        /// <returns></returns>
        [HttpGet]
        [Route("ValiToken")]
        public ApiResponse ValiToken(string tokenStr)
        {
            var ret = new ApiResponse
            {
                TnToken = new TnToken()
            };
            bool isvilidate = tokenHelper.ValiToken(tokenStr);
            if (isvilidate)
            {
                ret.IsSuccess = true;
                ret.Code = 200;
                ret.ErrMsg = "Token验证成功";
                ret.TnToken.TokenStr = tokenStr;
            }
            else
            {
                ret.IsSuccess = false;
                ret.Code = 500;
                ret.ErrMsg = "Token验证失败";
                ret.TnToken.TokenStr = tokenStr;
            }
            return ret;
        }
        /// <summary>
        /// 验证Token 带返回状态
        /// </summary>
        /// <param name="tokenStr"></param>
        /// <returns></returns>
        [HttpGet]
        [Route("ValiTokenState")]
        public ApiResponse ValiTokenState(string tokenStr)
        {
            var ret = new ApiResponse
            {
                TnToken = new TnToken()
            };
            string UserID = "";
            TokenType tokenType = tokenHelper.ValiTokenState(tokenStr, a => a["iss"] == "lutao" && a["aud"] == "haodegongchengyun", action => { UserID = action["UserID"]; });
            if (tokenType == TokenType.Fail)
            {
                ret.IsSuccess = false;
                ret.Code = 202;
                ret.ErrMsg = "token验证失败";
                return ret;
            }
            if (tokenType == TokenType.Expired)
            {
                ret.IsSuccess = false;
                ret.Code = 205;
                ret.ErrMsg = "token已经过期";
                return ret;
            }

            ret.IsSuccess = true;
            ret.Code = 200;
            ret.ErrMsg = "访问成功!";
            return ret;
        }
    }
}
